"use strict";
Object.defineProperty(exports, "createItemProps", {
    enumerable: true,
    get: ()=>createItemProps
});
const _extends = require("@swc/helpers/lib/_extends.js").default;
const _invariant = require("invariant");
const _createItemsProps = require("../createItemsProps");
var _items_id_data;
const getItem = (id, items)=>{
    var _items_id;
    return (_items_id_data = items == null ? void 0 : (_items_id = items[id]) == null ? void 0 : _items_id.data) != null ? _items_id_data : null;
};
const getChildren = (id, context)=>{
    var _context_data, _context_data_id;
    return (0, _createItemsProps.createItemsProps)(((_context_data = context.data) == null ? void 0 : (_context_data_id = _context_data[id]) == null ? void 0 : _context_data_id.children) || [], context);
};
const createItemProps = (id, context)=>{
    const { data , push , path  } = context;
    const item = getItem(id, data);
    (0, _invariant.default)(item, `Item with id ${id} not found`);
    return _extends({}, item, {
        id,
        data: ()=>item,
        isSelected: path.includes(id),
        children: ()=>getChildren(id, context),
        pushAt: (atSection)=>push(id, atSection)
    });
};

//# sourceMappingURL=index.js.map