import { Callback, ViewContext } from '../../types';
export type CreateItemsPropsResult<Data extends Record<string, unknown>> = {
    original: string[];
    length: number;
    forEach: (callback: Callback<Data, void>) => void;
    map: <U>(callback: Callback<Data, U>) => U[];
};
export declare const createItemsProps: <Data extends Record<string, unknown>>(ids: string[], context: ViewContext<Data>) => CreateItemsPropsResult<Data>;
